Subject: Indirect pointers to everything

From: [email-masked] (Lance Norskog)
Date: Tue, 25 Feb 92 13:34:14 PST

More on library.doc:

I want wiggly objects.

You've fallen into the GL trap!  I want to give not points
or colors but pointers to memory containing the point or the color.
The renderer should be able to read out each point and color
on each update.  This means that the object manager can't
compute the bounding box, but that instead you have to supply
it one that also varies.  That's cool.  Unfortunately the
polygon normal stuff won't work at all.  I didn't realize
you were pre-computing those.

GL objects don't have this feature because their objects are
stored out in hardware and can't be bothered to run back to
RAM to get values each time.

Granted, you're planning ahead for multiple processors, and this 
does screw that up.

---

From: Dave Stampe-Psy+Eng <dstamp@watserv1>
Date: Tue, 25 Feb 92 18:11:59 -0500

> From [email-masked] Tue Feb 25 17:58:53 1992
> From: [email-masked] (Lance Norskog)
> To: rend386@sunee
> Subject: Indirect pointers to everything
> 
> More on library.doc:
> 
> I want wiggly objects.
> 

Unfortunately, if you want real-time "wiggly" things in software,
you have to kiss speed goodbye.  If only a few objects "wiggle", you
can redefine them for each frame.  Including polygon normal calculation.

REND386 is designed using the ideal of a world of mostly-static objects,
with largely solid objects.  Obviously this type of standard will not
handle every type of animation desired.  So you will have to write your
own object creation interface to do wigglies.. no big deal, since you'd
have to do it anyway (it'd just be more embedded if done in the renderer).

As for collision detection, we're looking at it.  It's easy to get a short
list (1-15) objects that are collision candidates to the limit of bounding-
sphere intersection, but after that tests get more expensive.  Seems to
be O(NN) for polys in an object, at best.  So you're limited to simple
bounding volumes, simple objects, or some other stuff (such as precompiled
BSP trees for object inside/outside recognition) that I'm looking at.

- Dave Stampe